[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| FFTWImaginaryAccessor< Real > Class Template Reference Accessors for FFTWComplex |

`#include <vigra/fftw3.hxx>`

List of all members.

## Public Types
typedef Real | value_type
| The accessor's value type.
## Public Member Functions
template<class ITERATOR >
value_type | operator() (ITERATOR const &i) const
| Read imaginary part at iterator position.
template<class ITERATOR , class DIFFERENCE >
value_type | operator() (ITERATOR const &i, DIFFERENCE d) const
| Read imaginary part at offset from iterator position.
template<class ITERATOR >
void | set (value_type const &v, ITERATOR const &i) const
| Write imaginary part at iterator position from a scalar.
template<class ITERATOR , class DIFFERENCE >
void | set (value_type const &v, ITERATOR const &i, DIFFERENCE d) const
| Write imaginary part at offset from iterator position from a scalar.
template<class R , class ITERATOR >
void | set (FFTWComplex< R > const &v, ITERATOR const &i) const
| Write imaginary part at iterator position into a scalar.
template<class R , class ITERATOR , class DIFFERENCE >
void | set (FFTWComplex< R > const &v, ITERATOR const &i, DIFFERENCE d) const
| Write imaginary part at offset from iterator position into a scalar.

## Detailed Description

### template<class Real = double>
class vigra::FFTWImaginaryAccessor< Real >

Encapsulate access to the the imaginary part of a complex number.

#include <vigra/fftw3.hxx> (for FFTW 3) or
#include <vigra/fftw.hxx> (for deprecated FFTW 2)
Namespace: vigra

The documentation for this class was generated from the following file:

- vigra/fftw3.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.9.0 (Tue Nov 6 2012)